gnutls_certificate_server_set_retrieve_function(3)

NAME
gnutls_certificate_server_set_retrieve_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_certificate_server_set_retrieve_function(gnutls_certificate_credentials_t cred, gnutls_certificate_server_retrieve_function * func);

ARGUMENTS

gnutls_certificate_credentials_t cred
    is a gnutls_certificate_credentials_t structure.

gnutls_certificate_server_retrieve_function * func
    is the callback function

DESCRIPTION
This function sets a callback to be called in order to retrieve the certificate to be used in the handshake. The callback's function prototype is: int (*callback)(gnutls_session_t, gnutls_retr_st* st); st should contain the certificates and private keys. If the callback function is provided then gnutls will call it, in the handshake, after the certificate request message has been received. The callback function should set the certificate list to be sent, and return 0 on success. The value (-1) indicates error and the handshake will be terminated.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.